<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>

<style type="text/css">
.container {
	width: 400px;
	margin: auto;
}

h1 {
	text-align: center;
}

form .form-buttons {
	margin-top: 20px;
	text-align: center;
}

form .form-buttons button {
	margin: 0 10px;
}
</style>

<script type="text/javascript">
$(function() {
	const userIdControl = $("#user-id");
	const userPwdControl = $("#user-pwd");
	
	$("#btn-login").click(function() {
		var id = userIdControl.val();
		var pwd = userPwdControl.val();
		
		if(!id) {
			alert("아이디를 입력해주세요.");
			return false;
		}
		
		if(!pwd) {
			alert("비밀번호를 입력해주세요.");
			return false;
		}
	});
	$("#btn-cancel").click(function() {
		userIdControl.val('');
		userPwdControl.val('');
		return false;
	});
});
</script>

<body>
	<div class="container">
		<h1>로그인</h1>
		<hr>
		<form method="get">
			<table>
				<colgroup>
					<col style="width: 120px;"/>
					<col style="width: 150px;"/>
				</colgroup>
				<tr>
					<td>아이디</td>
					<td><input type="text" name="id" id="user-id"/></td>
				</tr>
				<tr>
					<td>비밀번호</td>
					<td><input type="password" name="pwd" id="user-pwd"/></td>
				</tr>
			</table>
			<div class="form-buttons">
				<button id="btn-login">로그인</button>
				<button id="btn-cancel">취 소</button>
			</div>
		</form>
	</div>
</body>
</html>